LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBLineEntry Class Reference

`#include <SBLineEntry.h>`

## Public Member Functions

| SBLineEntry ()
| SBLineEntry (const lldb::SBLineEntry &rhs)
| ~SBLineEntry ()
const lldb::SBLineEntry & | operator= (const lldb::SBLineEntry &rhs)
lldb::SBAddress | GetStartAddress () const
lldb::SBAddress | GetEndAddress () const
bool | IsValid () const
lldb::SBFileSpec | GetFileSpec () const
uint32_t | GetLine () const
uint32_t | GetColumn () const
void | SetFileSpec (lldb::SBFileSpec filespec)
void | SetLine (uint32_t line)
void | SetColumn (uint32_t column)
bool | operator== (const lldb::SBLineEntry &rhs) const
bool | operator!= (const lldb::SBLineEntry &rhs) const
bool | GetDescription (lldb::SBStream &description)

## Protected Member Functions

lldb_private::LineEntry * | get ()

## Friends

class | SBAddress
class | SBCompileUnit
class | SBFrame
class | SBSymbolContext

## Detailed Description

Definition at line 19 of file SBLineEntry.h.

## Constructor & Destructor Documentation

lldb::SBLineEntry::SBLineEntry | ( |  | ) |

lldb::SBLineEntry::SBLineEntry | ( | const lldb::SBLineEntry & | rhs | ) |

lldb::SBLineEntry::~SBLineEntry | ( |  | ) |

## Member Function Documentation

lldb_private::LineEntry* lldb::SBLineEntry::get | ( |  | ) |

protected

uint32_t lldb::SBLineEntry::GetColumn | ( |  | ) | const

bool lldb::SBLineEntry::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBAddress lldb::SBLineEntry::GetEndAddress | ( |  | ) | const

lldb::SBFileSpec lldb::SBLineEntry::GetFileSpec | ( |  | ) | const

uint32_t lldb::SBLineEntry::GetLine | ( |  | ) | const

lldb::SBAddress lldb::SBLineEntry::GetStartAddress | ( |  | ) | const

bool lldb::SBLineEntry::IsValid | ( |  | ) | const

bool lldb::SBLineEntry::operator!= | ( | const lldb::SBLineEntry & | rhs | ) | const

const lldb::SBLineEntry& lldb::SBLineEntry::operator= | ( | const lldb::SBLineEntry & | rhs | ) |

bool lldb::SBLineEntry::operator== | ( | const lldb::SBLineEntry & | rhs | ) | const

void lldb::SBLineEntry::SetColumn | ( | uint32_t | column | ) |

void lldb::SBLineEntry::SetFileSpec | ( | lldb::SBFileSpec | filespec | ) |

void lldb::SBLineEntry::SetLine | ( | uint32_t | line | ) |

## Friends And Related Function Documentation

friend class SBAddress

friend

Definition at line 74 of file SBLineEntry.h.

friend class SBCompileUnit

friend

Definition at line 75 of file SBLineEntry.h.

friend class SBFrame

friend

Definition at line 76 of file SBLineEntry.h.

friend class SBSymbolContext

friend

Definition at line 77 of file SBLineEntry.h.

The documentation for this class was generated from the following file:

- SBLineEntry.h